<?php get_header(); ?>

<!-- Main Body Start -->
<div id="middle">
<div class="background layoutright">

<div id="main">
<div id="main_container" class="clearingfix">
<div id="mainmiddle" class="floatbox withoutleft">

<?php get_sidebar(); ?>

<div id="content">
<div id="content_container" class="clearingfix">
<div class="floatbox">

<?php if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h2 class="pagetitle">Архивы рубрики &#8216;<?php single_cat_title(); ?>&#8217;</h2>
<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
<h2 class="pagetitle">Записи с меткой &#8216;<?php single_tag_title(); ?>&#8217;</h2>
<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2 class="pagetitle">Архивы за день <?php the_time('F jS, Y'); ?></h2>
<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2 class="pagetitle">Архивы за месяц <?php the_time('F, Y'); ?></h2>
<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2 class="pagetitle">Архивы за год <?php the_time('Y'); ?></h2>
<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2 class="pagetitle">Архивы автора</h2>
<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="pagetitle">Архивы блога</h2>
<?php } ?>

<?php while (have_posts()) : the_post(); ?>
<div class="comment" id="post-<?php the_ID(); ?>">
<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
<div class="clearingfix"><?php include ("thumbnail.php"); the_content_rss('', TRUE, '', 45); ?></div>
<div class="icons-readmore clearingfix">
<div class="icons">Опубликовал <span class="author"><?php the_author(); ?></span> - <?php the_time('d M Y'); ?></div>
<div class="readmore"><a href="<?php the_permalink() ?>" class="more" title="Читать далее в <?php the_title_attribute(); ?>">Читать далее</a></div>
</div>
</div>
<?php endwhile; ?>

<div class="navigation clearingfix">
<?php include ("pagenavi.php");
wp_pagenavi();
?>
</div>

<?php else : if ( is_category() ) { // If this is a category archive
printf("<h2 class='center'>Извините, но в рубрике %s еще нет записей.</h2>", single_cat_title('',false));
} else if ( is_date() ) { // If this is a date archive
echo("<h2>Извините, но записей с этой датой не существует.</h2>");
} else if ( is_author() ) { // If this is a category archive
$userdata = get_userdatabylogin(get_query_var('author_name'));
printf("<h2 class='center'>Извините, но пользователь %s еще не опубликовал ни одной записи.</h2>", $userdata->display_name);
} else {
echo("<h2 class='center'>Записей не найдено.</h2>");
}
get_search_form();

endif; ?>

</div>
</div>
</div>

</div>
</div>
</div>

</div>
</div>
<!-- Main Body End -->

<?php get_footer(); ?>
